Evolution Developer's Guide
<<< Previous Page | Home | Up | Next Page >>>

# timeutil

## Name

timeutil --

## Synopsis

    char*       isodate_from_time_t             (time_t t);
    time_t      time_add_day                    (time_t time,
                                                 int days);
    time_t      time_add_week                   (time_t time,
                                                 int weeks);
    int         time_days_in_month              (int year,
                                                 int month);
    time_t      time_day_begin                  (time_t t);
    time_t      time_day_end                    (time_t t);

## Description

## Details

### isodate_from_time_t ()

    char*       isodate_from_time_t             (time_t t);

Creates an ISO 8601 UTC representation from a time value.

`t` : | A time value.
Returns : | String with the ISO 8601 representation of the UTC time.

### time_add_day ()

    time_t      time_add_day                    (time_t time,
                                                 int days);

`time` : |
`days` : |
Returns : |

### time_add_week ()

    time_t      time_add_week                   (time_t time,
                                                 int weeks);

`time` : |
`weeks` : |
Returns : |

### time_days_in_month ()

    int         time_days_in_month              (int year,
                                                 int month);

`year` : |
`month` : |
Returns : |

### time_day_begin ()

    time_t      time_day_begin                  (time_t t);

`t` : |
Returns : |

### time_day_end ()

    time_t      time_day_end                    (time_t t);

`t` : |
Returns : |

<<< Previous Page | Home | Up | Next Page >>>
cal-recur | GNU Free Documentation License